Get an Applied Customer Billing Rate by ID

get

/appliedCustomerBillingRate/{id}

Gets the specified applied customer billing rate.

Request

Path Parameters
  • The item number or the ID of the item to get.
    Examples

Query Parameters
  • The type of object to return.
    Examples

  • The list of comma-separated fields to return in the response.
    Examples

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The specified applied customer billing rate was retrieved successfully.
Body ()
Root Schema : Applied Customer Billing Rate
Type: object
Title: Applied Customer Billing Rate
An applied customer billing rate.
Show Source
Nested Schema : appliedTax
Type: array
The taxes applied to the applied customer billing rate.
Show Source
Nested Schema : Bill Ref
Type: object
Title: Bill Ref
A reference to a bill.
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

Match All
Refers to the billing account. The billing account describes the bill structure.
Show Source
Nested Schema : characteristic
Type: array
The characteristics that define the applied customer billing rate.
Show Source
Nested Schema : TimePeriod
Type: object
Represents a time period with a start date, an end date, or both.
Show Source
Nested Schema : ProductRef
Type: object
A product reference.
Match All
A product reference.
A product reference.
Show Source
Nested Schema : Money
Type: object
Represents a monetary amount.
Show Source
Nested Schema : Applied Billing Tax Rate
Type: object
Title: Applied Billing Tax Rate
The tax rate applied to a billing rate.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Discriminator: @type-allOf[2]
Type: object
Refers to the billing account. The billing account describes the bill structure.
Show Source
  • Indicates if the account follows a specific payment option such as prepaid or postpaid.
Nested Schema : Applied Billing Rate Characteristic
Type: object
Title: Applied Billing Rate Characteristic
A characteristic of an applied billing rate, based on the service type, line of business, or other parameters.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

Example 1: Get an Applied Customer Billing Rate by Item POID

The following example shows how to get the applied customer billing rate associated with the specified item POID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-cycle_forward+108525'

Response Body

The following example shows the contents of the response body in JSON format.

{
   "id": "0.0.0.1+-item-cycle_forward+108525",
   "href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-cycle_forward+108525",
   "date": "2025-05-02T01:14:14-07:00",
   "description": null,
   "isBilled": false,
   "name": "Cycle forward",
   "type": "/item/cycle_forward",
   "appliedTax": null,
   "bill": {
      "id": "0.0.0.1+-bill+106861",
      "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": "BillRef",
      "@referredType": "CustomerBill"
   },
   "billingAccount": {
      "id": "0.0.0.1+-account+107117",
      "href": null,
      "name": "Jane Smith",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": "BillingAccountRef",
      "@referredType": "billingAccount"
   },
   "characteristic": null,
   "periodCoverage": null,
   "product": null,
   "taxExcludedAmount": {
      "unit": "EUR",
      "value": 45.0
   },
   "taxIncludedAmount": {
      "unit": "EUR",
      "value": 45.0
   },
   "@baseType": "AppliedCustomerBillingRate",
   "@schemaLocation": null,
   "@type": "AppliedCustomerBillingRate"
}

Example 2: Get an Applied Customer Billing Rate by Item Number

The following example shows how to get the applied customer billing rate associated with the specified item number by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/Item-111'

Response Body

The following example shows the contents of the response body in JSON format.

{
   "id": "Item-111",
   "href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/Item-111",
   "date": "2025-05-02T01:14:14-07:00",
   "description": null,
   "isBilled": false,
   "name": "Cycle forward",
   "type": "/item/cycle_forward",
   "appliedTax": null,
   "bill": {
      "id": "0.0.0.1+-bill+106861",
      "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": "BillRef",
      "@referredType": "CustomerBill"
   },
   "billingAccount": {
      "id": "0.0.0.1+-account+107117",
      "href": null,
      "name": "Mark Davis",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": "BillingAccountRef",
      "@referredType": "billingAccount"
   },
   "characteristic": null,
   "periodCoverage": null,
   "product": null,
   "taxExcludedAmount": {
      "unit": "USD",
      "value": 12.0
   },
   "taxIncludedAmount": {
      "unit": "USD",
      "value": 5.0
   },
   "@baseType": "AppliedCustomerBillingRate",
   "@schemaLocation": null,
   "@type": "AppliedCustomerBillingRate"
}
Back to Top